<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/password-meter.js"></script>

<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>

<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>

<script type="text/javascript" src="/js/escort-rates.js"></script>
<script type="text/javascript" src="/js/cubix-selectbox.js"></script>

<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>

<script type="text/javascript" src="/js/escort-photos.js?v=2"></script>
<script type="text/javascript" src="/js/tiny_mce/tiny_mce.js"></script>
<script type="text/javascript" src="/js/moo-uploader.js"></script>

<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css') ?>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));
	
		/*new Picker.Date($('f-date-from'), { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
		new Picker.Date($('f-date-to'), { pickerClass: 'datepicker',
				positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });*/
	
	var initDateFilter = function(filter_form)
	{
		date_from_picker = $(filter_form).getElement('.f-date-from');
		var date_from =	new Picker.Date(date_from_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
		date_to_picker = $(filter_form).getElement('.f-date-to');
		var date_to = new Picker.Date(date_to_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });

		$(filter_form).getElement('.f-filter-by').addEvent('change', function() {
			if ( this.get('value') ) {
				$(filter_form).getElement('.f-dates-defined').set('disabled', '');
				$(filter_form).getElement('.f-date-from').set('disabled', '');
				$(filter_form).getElement('.f-date-to').set('disabled', '');
				$(filter_form).getElement('.f-date-from').getNext().set('disabled', '');
				$(filter_form).getElement('.f-date-to').getNext().set('disabled', '');

				$(filter_form).getElement('.f-dates-defined').addEvent('change', function() {

					switch(this.get('value'))
					{
						case '':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date()), true);

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()), true);
							break;
						case 'today':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date()));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
							break;
						case 'yesterday':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().decrement('day', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
							break;
						case 'last_7_days':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().decrement('day', 7)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
							break;
						case 'this_month':
							var last_day = new Date().get('lastdayofmonth');

							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().set('date', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date().set('date', last_day)));
							break;
						case 'last_month':
							var last_month = new Date().decrement('month', 1);

							var last_day = last_month.get('lastdayofmonth');

							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(last_month.set('date', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(last_month.set('date', last_day)));
							break;
					}
				});
			}
			else
			{
				$(filter_form).getElement('.f-dates-defined').set('value', '');
				$(filter_form).getElement('.f-dates-defined').set('disabled', 'disabled');

				date_from.onFocus(date_from.item, date_from.clone, true);
				date_from.select(date_from.dateToObject(new Date()), true);

				date_to.onFocus(date_to.item, date_to.clone, true);
				date_to.select(date_to.dateToObject(new Date()), true);

				$(filter_form).getElement('.f-date-from').set('disabled', 'disabled');
				$(filter_form).getElement('.f-date-to').set('disabled', 'disabled');

				$(filter_form).getElement('.f-date-from').getNext().set('disabled', 'disabled');
				$(filter_form).getElement('.f-date-to').getNext().set('disabled', 'disabled');
			}
		});
	};

	initDateFilter('search-form');

	<? if ( strlen($this->filter_params['filter_by']) > 0 ): ?>
	$('search-form').getElement('.f-filter-by').fireEvent('change');
	<? endif; ?>

	<? if ( strlen($this->filter_params['dates_defined']) > 0 ): ?>
	$('search-form').getElement('.f-dates-defined').set('value', '<?= $this->filter_params['dates_defined'] ?>');
	$('search-form').getElement('.f-dates-defined').fireEvent('change');
	<? endif; ?>

	var getFilterParams = function () {
		sform = 'search-form';
		var uri = new URI('?' + $(sform).toQueryString());

		return uri.get('data');
	};
	
	var editPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Update', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390
	});
	window.editPopup = editPopup;

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'Escort ID', field: 'escort_id', type: 'number', sortable: false, width: 70 },
			{ title: 'Showname', field: 'showname', type: 'PEscortLink', sortable: true, width: 200 },
			{ title: 'Agency Name', field: 'agency_name', type: 'string', sortable: true, width: 150 },
			{ title: 'City', field: 'boost_city', type: 'string', sortable: true, width: 150 },
			{ title: 'Activation Date', field: 'activation_date', type: 'DateTime', sortable: true, width: 150 },
			{ title: 'Creation Date', field: 'creation_date', type: 'DateTime', sortable: true, width: 150 },
			{ title: 'Order ID', field: 'system_order_id', type: 'SystemOrderId', sortable: false, width: 75 },
			{ title: 'Transaction ID', field: 'transaction_id', type: 'string', sortable: false }
		],
		sort: {
			field: 'pbo.activation_date',
			dir: 'DESC'
		},
		actions: [
			<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>
			<? if ( in_array($bu_user->type, array('superadmin', 'admin')) ):?>
			{ type: 'edit', func: function (data) {
				if ( data.editable ) {
					editPopup.setTitle('Update Profile Booster');
					editPopup.load('/billing/profile-booster/edit?id=' + data.id, function () {
						editPopup.open();
					});
				} else {
					alert('You can update only PENDING GOTD\'s!');
				}
			} },
			{ type: 'remove', func: function (data) {
				if ( data.editable ) {
					if ( confirm('Are you sure you want to remove this Booster ?') ) {
						new Request({
							url: '<?= $this->baseUrl() ?>/billing/profile-booster/remove?id=' + data.id,
							method: 'get',
							onSuccess: function (resp) {
								grid.load();
							}
						}).send();
					}
				} else {
					alert('You can cancel only PENDING BOOST\'s!');
				}
			} }
			<? endif; ?>
		],
		data: new Cubix.Grid.Loader({ url: '/billing/profile-booster/data', params: getFilterParams })
	});
	
	grid.addEvent('loaded', function () {
		$$('.escort-showname').addEvent('click', function (e) {
			e.stop();

			var data = this.getParent('tr').rowData;
			ePpopup.__mode = 'edit';

			window.EscortPopup.data = data;
			addOrderButton.setStyle('display', 'block')
			window.EscortPopup.setTitle('Edit Escort ' + data.showname);
			window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.escort_id, function () {
				this.open();
			});
		});
		
		$$('.system-order-id').addEvent('click', function(e) {
			e.stop();
			var data = this.getParent('tr').rowData;
			ePpopup.__mode = 'edit';
			
			orderDetailsPopup.setTitle('Order Details');
			orderDetailsPopup.load('/billing/orders/details?id=' + data.order_id, function () {
				this.open();
			});
		});
		
	});

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	/* Agency and Escort popups data */
	window.EscortsKeyboard = new Keyboard({
		defaultEventType: 'keydown',
		events: {
			'pageup': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getPrevious();
				if ( ! target ) target = content.getElement('.mootabs_title').getLast('li');

				tabs.activate(target);
			},
			'pagedown': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getNext();
				if ( ! target ) target = content.getElement('.mootabs_title').getFirst('li');

				tabs.activate(target);
			}
		}
	}).deactivate();

	var popupClose = function(popup) {
		if ( popup.__mode == 'edit' ) {
			var old_data = window.popup_data;
			var new_data = popup.content.getElement('.form-common').toQueryString();
			/*console.log(old_data);
			console.log('ppppppppppppppppppppppp');
			console.log(new_data);*/
			/*if ( old_data != new_data ) {
				if ( confirm('Close without saving changes ?') ) {
					popup.close();
					//grid.load();
				}
			}
			else {*/
				popup.close();
				/*grid.load();
			}*/

		} else {
			popup.close();
		}
	};
	window.popupClose = popupClose;

	// --> Agency popup <--
	var agencyPopup = window.AgencyPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 690/*,
		zIndex: function () { return Cubix.Popup.zIndex + 22 }*/
	});

	agencyPopup.addEvent('loaded', function () {


		var ag_self = this;

		new mootabs('agency-tabs', { width: null, height: 'auto' });

		var escorts_grid = Cubix.Grid.Instance = new Cubix.Grid('cx-escort-grid-a', {
			identifier: { field: 'id' },
			header: [
				{ title: 'Showname', field: 'showname', type: 'EscortLink', sortable: true, width: '140px' },
				{ title: 'Status', field: 'status', type: 'string', sortable: true, width: '140px' },
				{ title: 'Phone', field: 'contact_phone_parsed', type: 'string', sortable: true, width: '140px' },
				{ title: 'Email', field: 'contact_email', type: 'Email', sortable: true, width: '140px' },
				{ title: 'Package', field: 'active_package', type: 'ActivePackage', sortable: true, width: '140px' }
			],
			sort: {
				field: 'showname',
				dir: 'asc'
			},
			actions: [ ],
			data: new Cubix.Grid.Loader({ url: '/agencies/escort-list-data?agency_id=' + agencyPopup.agency_id })
		});

		escorts_grid.addEvent('loaded', function () {
			ag_self.content.getElements('.escort-showname').addEvent('click', function (e) {
				e.stop();

				var data = this.getParent('tr').rowData;
				window.EscortPopup.data = data;
				window.EscortPopup.setTitle('Edit Escort ' + data.showname);
				window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.id, function () {
					this.open();
				});
			});
		});

		this.content.getElements('input[name=available_24_7]').addEvent('change', function(){
			if ( this.get('checked') ) {
				this.content.getElements('.w_times input').each(function(el){
					el.set('disabled', 'disabled');
					el.set('checked', '');
				});

				this.content.getElements('.w_times select').each(function(el){
					el.set('disabled', 'disabled');
					el.set('value', '');
				});
			}
			else {
				this.content.getElements('.w_times input').each(function(el){
					el.set('disabled', '');
				});
			}
		});

		this.content.getElement('select[name=country_id]').addEvent('change', function() {

			ag_self.content.getElement('select[name=city_id]').set('disabled', 'disabled');
			new Request({
				url: '<?= $this->baseUrl() ?>/geography/cities/ajax-get-cities-grouped?country_id=' + this.get('value'),
				method: 'get',
				onSuccess: function (resp) {
					ag_self.content.getElement('select[name=city_id]').set('html', resp);
					ag_self.content.getElement('select[name=city_id]').set('disabled', '');
				}
			}).send();
		});

		window.EscortPopup.close();
	});
	// <-- Agency popup -->

	var ePpopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Place New Order', icon: 'add', action: function () {
				openOrderPopup();
			} },
			{ caption: 'Save', icon: 'accept', action: function () {
				tinyMCE.triggerSave();
				(Cubix.Popup.Actions.SaveValid.bind(ePpopup))(function (result) {
					grid.load();
					if ( 'create' == ePpopup.__mode ) {
						if ( confirm('Do you want to edit photos of this escort?') ) {
							window.PhotosPopup.setTitle('Photos of Escort');
							window.PhotosPopup.escort_id = result.escort_id;
							window.PhotosPopup.load('<?= $this->baseUrl() ?>/escorts-v2/photos?id=' + result.escort_id, function () {
								this.open();
							});
						}
					}
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close/*function() {
				popupClose(popup);
			}*/ }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 4 }
	});
	
	var addOrderButton = ePpopup.popup.getElement('.cx-popup-action-bar').getLast('.cx-button').setStyle('margin-right', '30px');

	window.EscortPopup = ePpopup;

	ePpopup.addEvent('close', function (e) {
		window.EscortsKeyboard.deactivate();
	});

	var OrdersPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save & Add Transfer', icon: 'add', action: function () {
				Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
					this.fireEvent('addOrder', [resp.order_id]);
				});
			} },
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100,
		zIndex: function () { return Cubix.Popup.zIndex + 20 }
	});
	
	var PackagesPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Add', icon: 'add', action: function () {
				var old_instance = Cubix.Grid.Instance;
				Cubix.Grid.Instance = window.OrderPackagesGrid;
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					Cubix.Grid.Instance = old_instance;
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	var openOrderPopup = function() {
		window.PackagesPopup = PackagesPopup;
		window.OrderPopup = OrdersPopup;

		if ( ! window.EscortPopup.data.agency_id ) {
			OrdersPopup.setTitle('Create New Order for Escort ' + window.EscortPopup.data.showname);
			OrdersPopup.load('/billing/orders/create?type=escort&id=' + window.EscortPopup.data.escort_id + '&name=' + window.EscortPopup.data.showname, function () {
				this.open();
			});
		}
		else {
			OrdersPopup.setTitle('Create New Order');
			OrdersPopup.load('/billing/orders/create?type=agency&id=' + window.EscortPopup.data.agency_id + '&name=' + window.EscortPopup.data.agency_name, function () {
				this.open();
			});
		}
	};

	var popup_sms = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.SmsPopup = popup_sms;

	var qEmail = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.qEmail = qEmail;

	var photos_popup = new Cubix.Popup.Ajax({
		width: 896,
		zIndex: function () { return Cubix.Popup.zIndex + 14 }
	});

	window.PhotosPopup = photos_popup;

	photos_popup.addEvent('loaded', function () { new Escort.Photos(photos_popup); });
	
	
	var orderDetailsPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.Save },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 1100
	});

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.addEvent('change', function(){
			//grid.load();
		});
	};

	initFormSubmit();
};
</script>

<div class="form-common gray c-filter-form">
	<form id="search-form" action="">
		<div class="fleft">
			<fieldset class="inner mb10">
				<legend>General</legend>

				<div class="inner">
					<label for="showname">Showname</label>
					<input name="showname" id="showname" class="txt w16" type="text" value="<?= $this->filter_params['showname'] ?>" />
				</div>
				<div class="inner">
					<label for="escort_id">Escort ID</label>
					<input name="escort_id" id="escort_id" class="txt w16" type="text" value="<?= $this->filter_params['escort_id'] ?>" />
				</div>
				<div class="inner">
					<label for="boost_city">Boost City</label>
					<input name="boost_city" id="boost_city" class="txt w16" type="text" value="<?= $this->filter_params['boost_city'] ?>" />
				</div>
				<?/*<div class="inner">
					<label for="f-sales-person">Sales Person</label>
					<select name="sales_user_id" id="f-sales-person" class="w10">
						<option value=""> - any - </option>
						<? $model = new Model_Moderators(); foreach ( $model->getByApplicationId($this->request()->application_id) as $user ): ?>
						<option value="<?= $user->id ?>" <?= ($this->filter_params['sales_user_id'] == $user->id) ? 'selected="selected"' : '' ?> ><?= $user->username ?></option>
						<? endforeach; ?>
					</select>
				</div>*/?>
				<div class="clear"></div>

				<? $bu_user = Zend_Auth::getInstance()->getIdentity(); ?>

				<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'admin'): ?>
					<div class="inner">
						<label for="f-sales-user-id-real">Sales Person</label>
						<select name="sales_user_id_real" id="f-sales-user-id-real" class="w14">
							<option value="">- any -</option>
							<?php $model = new Model_Moderators(); $sales = $model->getByType(array('sales clerk','sales', 'sales manager', 'admin', 'superadmin'), Cubix_Application::getId()) ?>
							<?php foreach($sales as $sale): ?>
								<option value="<?= $sale->id ?>" <?= ($sale->id == $this->filter_params['sales_user_id_real']) ? 'selected="selected"' : '' ?>><?= $sale->username ?></option>
							<?php endforeach; ?>
						</select>
					</div>
				<? endif; ?>

				<? if ( $bu_user->type == 'superadmin' || $bu_user->type == 'admin' || $bu_user->type == 'payments manager' ): ?>
					<div class="inner">
						<label for="f-sales-user-id">Vendor</label>
						<select name="sales_user_id" id="f-sales-user-id" class="w14">
							<option value="">- any -</option>
							<?php $model = new Model_Moderators(); $sales = $model->getByType(array('sales clerk','sales manager', 'sales', 'admin', 'superadmin'), Cubix_Application::getId()) ?>
							<?php foreach($sales as $sale): ?>
								<option value="<?= $sale->id ?>" <?= ($sale->id == $this->filter_params['sales_user_id']) ? 'selected="selected"' : '' ?>><?= $sale->username ?></option>
							<?php endforeach; ?>
						</select>
					</div>
				<? else: ?>
					<div class="inner disabled">
						<label for="f-sales-user-id">Vendor</label>
						<select name="sales_user_id" id="f-sales-user-id" class="w14" disabled="disabled">
							<option value="<?= $bu_user->id ?>"><?= $bu_user->username ?></option>
						</select>
					</div>
				<? endif; ?>
				<div class="clear"></div>
			</fieldset>

			<fieldset class="inner mb10">
				<legend>Date</legend>

				<div class="inner">
					<label for="f-filter-by">Filter By</label>
					<select id="f-filter-by" name="filter_by" class="w16 f-filter-by">
						<option value=""> - any - </option>
						<option value="activation_date" <?= ( $this->filter_params['filter_by'] == 'activation_date' ) ? 'selected="selected"' : '' ?> >Activation Date</option>
						<option value="creation_date" <?= ( $this->filter_params['filter_by'] == 'creation_date' ) ? 'selected="selected"' : '' ?> >Add Date</option>
					</select>
				</div>

				<div class="inner">
					<label>Date:</label>
					<select id="f-dates-defined" name="dates_defined" class="w16 f-dates-defined" disabled="disabled">
						<option value=""> - any - </option>
						<option value="today">Today</option>
						<option value="yesterday">Yesterday</option>
						<option value="last_7_days">Last 7 Days</option>
						<option value="this_month">This Month</option>
						<option value="last_month">Last Month</option>
					</select>
				</div>
				<div class="clear"></div>
				<div class="inner">
					<label>From</label>
					<input id="f-date-from" type="text" class="txt w147 f-date-from" name="date_from" value="" disabled="disabled" />
				</div>

				<div class="inner" style="padding-top: 25px">
					<span> - </span>
				</div>

				<div class="inner">
					<label>To</label>
					<input id="f-date-to" type="text" class="txt w147 f-date-to" name="date_to" value="" disabled="disabled" />
				</div>

				<div class="clear"></div>
			</fieldset>

			<fieldset class="inner mb10">
				<legend>Order Info</legend>

				<div class="inner">
					<label for="order_id">Order ID</label>
					<input name="order_id" class="txt w16" type="text" value="<?= $this->filter_params['order_id'] ?>" />
				</div>
				<div class="inner">
					<label for="transaction_id">Transaction ID</label>
					<input name="transaction_id" class="txt w16" type="text" value="<?= $this->filter_params['transaction_id'] ?>" />
				</div>
			</fieldset>

			<?/*<fieldset class="inner mb10">
				<legend>Activation Date</legend>

				<div class="inner">
					<label>From</label>
					<input id="f-date-from" type="text" class="txt w147 f-date-from" name="date_from" value=""/>
				</div>

				<div class="inner" style="padding-top: 25px">
					<span> - </span>
				</div>

				<div class="inner">
					<label>To</label>
					<input id="f-date-to" type="text" class="txt w147 f-date-to" name="date_to" value=""/>
				</div>
				<div class='inner'>
					<label>Hour From</label>
					<select name='hour_from' class='w10'>
						<option value=''>---</option>
						<? for($i = 0; $i < 24; $i++): ?>
						<option value='<?= $i ?>'><?= sprintf("%02s", $i) ?>:00</option>
						<? endfor; ?>
					</select>
				</div>
				<div class='inner'>
					<label>Hour To</label>
					<select name='hour_to' class='w10'>
						<option value=''>---</option>
						<? for($i = 0; $i < 24; $i++): ?>
						<option value='<?= $i ?>'><?= sprintf("%02s", $i) ?>:00</option>
						<? endfor; ?>
					</select>
				</div>
				<div class="clear"></div>
			</fieldset>*/?>

			<div class="clear"></div>
		</div>

		<div class="clear"></div>

		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>

		<? if (Cubix_Application::getId() == APP_EF): ?>
			<div id="lbl-sum"></div>
		<? endif; ?>
		
		<div class="clear"></div>
	</form>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
